Subject: Re: CYGWIN32 and mount modes
From: [email-masked] (Geoffrey Noer)

25 May 1998 02:56:10 -0700
Message-ID: <[email-masked]>
References: <356aacee.5008021@mail>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Michael Weiser <[email-masked]>, [email-masked]

On Sat, May 23, 1998 at 11:37:40AM +0000, Michael Weiser wrote:
>
> Could someone explain me what the CYGWIN32 environment variable with
> its values tty, notty, binmode etc. is for or point me to some source
> of _complete_ documentation? As I read in the list almost every
> setting has some benefit but also some disadvantage.

If there were only advantages and no disadvantages, we wouldn't have
the option.

Using binary mode != text mode improves relations with non-Cygwin32
apps but messes up Unix apps that don't call open with O_BINARY in
the right places.

With tty mode, ttys are more Unix-like but will prevent some
non-Cygwin32 console apps from working correctly.

The default will be to be friendly to vanilla Win32 applications.
We may be able to make tty mode work with all win32 programs so
that option will hopefully go away sometime in the future.  Binary
vs. text mode will probably be around for the forseeable future...

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".